Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Cached_Policies Class Reference

`#include <POA_Cached_Policies.h>`

List of all members.

## Public Types
enum | PriorityModel { CLIENT_PROPAGATED, SERVER_DECLARED, NOT_SPECIFIED }
## Public Methods
| TAO_POA_Cached_Policies ()
| ~TAO_POA_Cached_Policies (void)
void | update (TAO_POA_Policy_Set &policy_set ACE_ENV_ARG_DECL)
| Update the cached policy values. More...
PortableServer::ThreadPolicyValue | thread (void) const
| Accessor methods to cached values. More...
PortableServer::LifespanPolicyValue | lifespan (void) const
PortableServer::IdUniquenessPolicyValue | id_uniqueness (void) const
PortableServer::IdAssignmentPolicyValue | id_assignment (void) const
PortableServer::ImplicitActivationPolicyValue | implicit_activation (void) const
PortableServer::ServantRetentionPolicyValue | servant_retention (void) const
PortableServer::RequestProcessingPolicyValue | request_processing (void) const
PriorityModel | priority_model (void) const
CORBA::Short | server_priority (void) const
void | priority_model (PriorityModel priority_model)
void | server_priority (CORBA::Short priority)
void | implicit_activation (PortableServer::ImplicitActivationPolicyValue value)
## Protected Methods
void | update_policy (const CORBA::Policy_ptr policy ACE_ENV_ARG_DECL)
| Helper method to update a particular policy. More...
## Protected Attributes
PortableServer::ThreadPolicyValue | thread_
PortableServer::LifespanPolicyValue | lifespan_
PortableServer::IdUniquenessPolicyValue | id_uniqueness_
PortableServer::IdAssignmentPolicyValue | id_assignment_
PortableServer::ImplicitActivationPolicyValue | implicit_activation_
PortableServer::ServantRetentionPolicyValue | servant_retention_
PortableServer::RequestProcessingPolicyValue | request_processing_
PriorityModel | priority_model_
CORBA::Short | server_priority_

## Member Enumeration Documentation

enum TAO_POA_Cached_Policies::PriorityModel

  | Enumeration values:
  CLIENT_PROPAGATED |
  SERVER_DECLARED |
  NOT_SPECIFIED |

## Constructor & Destructor Documentation

TAO_POA_Cached_Policies::TAO_POA_Cached_Policies | ( |  | ) |

TAO_POA_Cached_Policies::~TAO_POA_Cached_Policies | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE PortableServer::IdAssignmentPolicyValue TAO_POA_Cached_Policies::id_assignment | ( | void |  | ) | const

ACE_INLINE PortableServer::IdUniquenessPolicyValue TAO_POA_Cached_Policies::id_uniqueness | ( | void |  | ) | const

ACE_INLINE void TAO_POA_Cached_Policies::implicit_activation | ( | PortableServer::ImplicitActivationPolicyValue | value | ) |

ACE_INLINE PortableServer::ImplicitActivationPolicyValue TAO_POA_Cached_Policies::implicit_activation | ( | void |  | ) | const

ACE_INLINE PortableServer::LifespanPolicyValue TAO_POA_Cached_Policies::lifespan | ( | void |  | ) | const

ACE_INLINE void TAO_POA_Cached_Policies::priority_model | ( | PriorityModel | priority_model | ) |

ACE_INLINE TAO_POA_Cached_Policies::PriorityModel TAO_POA_Cached_Policies::priority_model | ( | void |  | ) | const

ACE_INLINE PortableServer::RequestProcessingPolicyValue TAO_POA_Cached_Policies::request_processing | ( | void |  | ) | const

ACE_INLINE PortableServer::ServantRetentionPolicyValue TAO_POA_Cached_Policies::servant_retention | ( | void |  | ) | const

ACE_INLINE void TAO_POA_Cached_Policies::server_priority | ( | CORBA::Short | priority | ) |

ACE_INLINE CORBA::Short TAO_POA_Cached_Policies::server_priority | ( | void |  | ) | const

ACE_INLINE PortableServer::ThreadPolicyValue TAO_POA_Cached_Policies::thread | ( | void |  | ) | const

| Accessor methods to cached values.

void TAO_POA_Cached_Policies::update | ( | TAO_POA_Policy_Set &policy_set | ACE_ENV_ARG_DECL | ) |

| Update the cached policy values.

void TAO_POA_Cached_Policies::update_policy | ( | const CORBA::Policy_ptr policy | ACE_ENV_ARG_DECL | ) | `[protected]`

| Helper method to update a particular policy.

## Member Data Documentation

PortableServer::IdAssignmentPolicyValue TAO_POA_Cached_Policies::id_assignment_`[protected]`

PortableServer::IdUniquenessPolicyValue TAO_POA_Cached_Policies::id_uniqueness_`[protected]`

PortableServer::ImplicitActivationPolicyValue TAO_POA_Cached_Policies::implicit_activation_`[protected]`

PortableServer::LifespanPolicyValue TAO_POA_Cached_Policies::lifespan_`[protected]`

PriorityModel TAO_POA_Cached_Policies::priority_model_`[protected]`

PortableServer::RequestProcessingPolicyValue TAO_POA_Cached_Policies::request_processing_`[protected]`

PortableServer::ServantRetentionPolicyValue TAO_POA_Cached_Policies::servant_retention_`[protected]`

CORBA::Short TAO_POA_Cached_Policies::server_priority_`[protected]`

PortableServer::ThreadPolicyValue TAO_POA_Cached_Policies::thread_`[protected]`

The documentation for this class was generated from the following files:

- POA_Cached_Policies.h
- POA_Cached_Policies.cpp
- POA_Cached_Policies.i